Subject: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Po Lu <[email-masked]>
Date: Mon, 18 Sep 2023 22:11:31 +0800

Stephen Berman <[email-masked]>

> (gdb) up 0
> #0 x_error_quitter (display=0x555555ead980, event=0x7fffffffc950)
>     at /home/steve/src/emacs/emacs-master/src/xterm.c:26905
> 26905	{
> (gdb) p *error
> $1 = {void (const char *, ...)} 0x55555575ae68 <error>
>
> FWIW, I get the same output when I run Emacs in gdb with -xrm
> "emacs.synchronous: true", as requested by Eli.

My apologies, I intended to ask for:

  (gdb) p *event

I need new glasses.  Or hands.

>> In case the error arises from an extension request, please also send
>> the
>> output of the following command:
>>
>>   $ xdpyinfo -ext
>
> How do I know if there was an extension request?  The -ext flag
> requires
> an extension-name as argument.

Sorry, xdpyinfo -ext all.